FIRSTPRIMES(1)

NAME
firstprimes - primality certification for the first primes

SYNOPSIS
firstprimes [-o filename] -base maxindex
firstprimes [-o filename] minindex maxindex

DESCRIPTION
This tool outputs in the file filename (default: FirstPrimes.v) the proof of primality for the primes between the minimum and the maximum indexes.

It contains a rather large list (thousands) of the first primes, and is able to output a proof of primality for each of them ; the indexes are relative to this list.

OPTIONS
-o <filename> Prints the proof script in the file named <filename> (otherwise: FirstPrimes.v)

-base <maxindex>
    Gives proofs for the primes from 0 (included) to <maxindex> (excluded)

<minindex> <maxindex>
    Gives proofs for the primes from <minindex> (included) to <maxindexoo> (excluded)